<template>
    <main-master-page>
        <div class="text-main-title">Analytics Pixel Player</div>
        <div><date-range-picker /></div>
        <kpi-block :items="kpiItems" />
        <chart-component :chart-data="chartData" />
        <chart-component :chart-data="chartData2" />
        <tables-section :items="impressionsByHour" />
    </main-master-page>
</template>

<script>
import MainMasterPage from '@/masterpages/MainMasterPage.vue'
import DateRangePicker from '@/components/DateRangePicker.vue'
import KpiBlock from '@/components/KpiBlock'
import ChartComponent from '@/components/ChartComponent.vue'
import TablesSection from '@/components/TablesSection.vue'
export default {
    name: 'PixelDashboard',

    components: { DateRangePicker, KpiBlock, ChartComponent, MainMasterPage, TablesSection },

    data() {
        return {
            date: null,
            kpiItems: [
                {
                    label: 'Impressions',
                    number: 77,
                    comment: 'comment',
                    bgColor: '#ffdcdd',
                    color: '#f01527',
                },
                {
                    label: 'Impressions',
                    number: 77,
                    comment: 'comment',
                    bgColor: '#ffdcdd',
                    color: '#f01527',
                },
            ],
            chartData: {
                labels: [1, 2, 3, 4, 5, 6, 7],
                datasets: [
                    {
                        label: 'Impression per hour',
                        // backgroundColor: '#f87979',
                        data: [40, 39, 10, 40, 39, 80, 40],
                        tension: 0.3,
                        pointRadius: 0,
                        borderColor: '#c319ee',
                        backgroundColor: '#c319ee',
                    },
                ],
            },
            chartData2: {
                labels: [1, 2, 3, 4, 5, 6, 7],
                datasets: [
                    {
                        label: 'Impression per day',
                        // backgroundColor: '#f87979',
                        data: [40, 39, 10, 40, 39, 80, 40],
                        tension: 0.3,
                        pointRadius: 0,
                        borderColor: '#c319ee',
                        backgroundColor: '#c319ee',
                    },
                ],
            },
            impressionsByHour: [
                { hour: 0, impressions: 28754 },
                { hour: 1, impressions: 20432 },
                { hour: 2, impressions: 15214 },
                { hour: 3, impressions: 12457 },
                { hour: 4, impressions: 8213 },
                { hour: 5, impressions: 2930 },
                { hour: 6, impressions: 12389 },
                { hour: 7, impressions: 24611 },
                { hour: 8, impressions: 29009 },
                { hour: 9, impressions: 18128 },
                { hour: 10, impressions: 2798 },
                { hour: 11, impressions: 24422 },
                { hour: 12, impressions: 14567 },
                { hour: 13, impressions: 10503 },
                { hour: 14, impressions: 28357 },
                { hour: 15, impressions: 16689 },
                { hour: 16, impressions: 21777 },
                { hour: 17, impressions: 23122 },
                { hour: 18, impressions: 29835 },
                { hour: 19, impressions: 25094 },
                { hour: 20, impressions: 13460 },
                { hour: 21, impressions: 17583 },
                { hour: 22, impressions: 25787 },
                { hour: 23, impressions: 28703 },
            ],
            impressionsColumns: [
                {
                    field: 'hour',
                    label: 'ID',
                    width: '40',
                    numeric: true,
                },
                {
                    field: 'impressions',
                    label: 'First Name',
                },
            ],
        }
    },
}
</script>

<style lang="scss" module>
@import '@/assets/styles/variables';
</style>
